var port = chrome.runtime.connect({ 'name': 'formfiller' })
port.postMessage({ 'type': 'get-form-data' })

//currentHostisIframe

port.onMessage.addListener(function (message) {
	$(function () {
		var host = window.location.host;
		if (host.indexOf("123loadboard") != -1) {
	
			var itemsFound = setInterval(function () {
				browser.storage.local.get(["user"], function (result) {
					if (typeof result.user != "undefined" && result.user != "") {

						var titleText = " (Not Including: O-DH, D-DH)";
						if (typeof result.user.o_deadhead != 'undefined' && typeof result.user.d_deadhead != 'undefined') {
							if (result.user.o_deadhead == 1 && result.user.d_deadhead == 1) {
								titleText = " (Including: O-DH, D-DH)";
							} else if (result.user.o_deadhead == 1) {
								titleText = " (Including: O-DH)";
							} else if (result.user.d_deadhead == 1) {
								titleText = " (Including: D-DH)";
							}
						}
					
						if ($("#divSearchData .gridRow").length > 0) {
							var minCost = 0;
							var maxCost = 0;
							$("#divSearchData .gridRow").each(function (index) {
								$(this).removeClass('chrome-ext-red chrome-ext-blue chrome-ext-green chrome-ext-gray group1 group2 group3 group4 special-color');
								$(this).removeAttr('cost_per_mile');
								$(this).removeAttr('title');

								price = $(this).find('.amountData span').text();
								if (price != "") {
									miles = $(this).find(".distData span").text().split(" ");
									o_deadhead = 0;
									d_deadhead = 0;
									if ($(this).find(".originData a").length > 0) {
										o_deadhead = $(this).find(".originData a").text().replace(",", "");
									}

									if ($(this).find(".destData a").length > 0) {
										d_deadhead = $(this).find(".destData a").text().replace(",", "");
									}

									if (typeof result.user.o_deadhead != 'undefined' && result.user.o_deadhead == 1 && o_deadhead != "") {
										miles[0] = parseFloat(miles[0]) + parseFloat(o_deadhead);
									}

									if (typeof result.user.d_deadhead != 'undefined' && result.user.d_deadhead == 1 && d_deadhead != "") {
										miles[0] = parseFloat(miles[0]) + parseFloat(d_deadhead);
									}
									price = price.split("$");
									cost_per_mile = (price[1] / miles[0]).toFixed(2);
									if (cost_per_mile > result.user.min_per_mile) {
										if (parseFloat(cost_per_mile) < minCost || minCost == 0) {
											minCost = parseFloat(cost_per_mile);
										}
										if (parseFloat(cost_per_mile) > maxCost || maxCost == 0) {
											maxCost = parseFloat(cost_per_mile);
										}
										$(this).addClass('chrome-ext-' + result.user.color).attr('cost_per_mile', parseFloat(cost_per_mile));
									}
									$(this).attr('title', "$" + cost_per_mile + "/Mile" + titleText);
								}
							});
							/********* Create Color Groups ************/
							difference = maxCost - minCost;
							g1 = g2 = g3 = g4 = minCost;
							if (difference > 0.4) {
								groupAddValue = parseFloat(difference / 4);
								g1 = minCost + groupAddValue;
								g2 = g1 + groupAddValue;
								g3 = g2 + groupAddValue;
								$(".chrome-ext-red,.chrome-ext-blue,.chrome-ext-green,.chrome-ext-gray").each(function () {
									$(this).removeClass('group1 group2 group3 group4');
									row_cost_per_mile = $(this).attr('cost_per_mile');
									if (row_cost_per_mile >= minCost && row_cost_per_mile <= g1) {
										$(this).addClass('group1');
									} else if (row_cost_per_mile > g1 && row_cost_per_mile <= g2) {
										$(this).addClass('group2');
									} else if (row_cost_per_mile > g2 && row_cost_per_mile <= g3) {
										$(this).addClass('group3');
									} else if (row_cost_per_mile > g3 && row_cost_per_mile <= maxCost) {
										$(this).addClass('group4');
									}
								});
							}
							$('[cost_per_mile="' + maxCost + '"]').addClass('special-color');
							/********* Create Color Groups ************/
						}
						else if( $("#loads_list").length > 0){
							var minCost = 0;
							var maxCost = 0;
						
							$("#loads_list #load_item").each(function(index){
									$(this).removeClass('chrome-ext-red chrome-ext-blue chrome-ext-green chrome-ext-gray group1 group2 group3 group4 special-color');
									$(this).removeAttr('cost_per_mile');
									$(this).removeAttr('title');

										price = $(this).find('#price').text().replace('$','');
										cost_per_mile =$(this).find('#price_per_mile').text().replace('$','').replace('/mi','');
		
										miles= $(this).find('#mileage').text().replace(' mi','');
										if(cost_per_mile != '')
										{
											if (cost_per_mile > result.user.min_per_mile) {
												if (parseFloat(cost_per_mile) < minCost || minCost == 0) {
													minCost = parseFloat(cost_per_mile);
												}
												if (parseFloat(cost_per_mile) > maxCost || maxCost == 0) {
													maxCost = parseFloat(cost_per_mile);
												}
												$(this).find('button').addClass('chrome-ext-' + result.user.color).attr('cost_per_mile', parseFloat(cost_per_mile));
											}
											$(this).find('button').attr('title', "$" + cost_per_mile + "/Mile" + titleText);
								
										}
															
							});
							/********* Create Color Groups ************/
							difference = maxCost - minCost;
							g1 = g2 = g3 = g4 = minCost;
							if (difference > 0.4) {
								groupAddValue = parseFloat(difference / 4);
								g1 = minCost + groupAddValue;
								g2 = g1 + groupAddValue;
								g3 = g2 + groupAddValue;
								$(".chrome-ext-red,.chrome-ext-blue,.chrome-ext-green,.chrome-ext-gray").each(function () {
									$(this).removeClass('group1 group2 group3 group4');
									row_cost_per_mile = $(this).attr('cost_per_mile');
									if (row_cost_per_mile >= minCost && row_cost_per_mile <= g1) {
										$(this).addClass('group1');
									} else if (row_cost_per_mile > g1 && row_cost_per_mile <= g2) {
										$(this).addClass('group2');
									} else if (row_cost_per_mile > g2 && row_cost_per_mile <= g3) {
										$(this).addClass('group3');
									} else if (row_cost_per_mile > g3 && row_cost_per_mile <= maxCost) {
										$(this).addClass('group4');
									}
								});
							}
							$('[cost_per_mile="' + maxCost + '"]').addClass('special-color');
							/********* Create Color Groups ************/
						}

						
						
						
					} else {
						$("#divSearchData .gridRow").removeClass('chrome-ext-red chrome-ext-blue chrome-ext-green chrome-ext-gray');
					}
				});
			}, 2000);
		} else if (host.indexOf("truckersedge.dat") != -1) {
			var itemsFound = setInterval(function () {
				browser.storage.local.get(["user"], function (result) {
					if (typeof result.user != "undefined" && result.user != "") {

						var titleText = " (Not Including: O-DH, D-DH)";
						if (typeof result.user.o_deadhead != 'undefined' && typeof result.user.d_deadhead != 'undefined') {
							if (result.user.o_deadhead == 1 && result.user.d_deadhead == 1) {
								titleText = " (Including: O-DH, D-DH)";
							} else if (result.user.o_deadhead == 1) {
								titleText = " (Including: O-DH)";
							} else if (result.user.d_deadhead == 1) {
								titleText = " (Including: D-DH)";
							}
						}

						if ($(".cdk-virtual-scroll-content-wrapper .search-card .row-layout").length > 0) {
							var minCost = 0;
							var maxCost = 0;
							$(".cdk-virtual-scroll-content-wrapper .search-card .row-layout").each(function (index) {
								price = $(this).find('.rate-cell span').text();
								$(this).removeClass('chrome-ext-red chrome-ext-blue chrome-ext-green chrome-ext-gray group1 group2 group3 group4 special-color');
								$(this).removeAttr('cost_per_mile');
								$(this).removeAttr('title');

								if (price != "—") {
									miles = $(this).find(".trip-cell a").text().replace(",", "");
									price = price.replace("$", "");
									price = price.replace(",", "");

									o_deadhead = $(this).find("div.origin span.origin-destination-deadhead").text().replace(" — ", "").replace(" ( ", "").replace(" ) ", "");
									d_deadhead = $(this).find("div.destination span.origin-destination-deadhead").text().replace(" — ", "").replace(" ( ", "").replace(" ) ", "");

									if (typeof result.user.o_deadhead != 'undefined' && result.user.o_deadhead == 1 && o_deadhead != "") {
										miles = parseFloat(miles) + parseFloat(o_deadhead);
									}

									if (typeof result.user.d_deadhead != 'undefined' && result.user.d_deadhead == 1 && d_deadhead != "") {
										miles = parseFloat(miles) + parseFloat(d_deadhead);
									}

									cost_per_mile = (price / miles).toFixed(2);
									if (cost_per_mile > result.user.min_per_mile) {
										if (parseFloat(cost_per_mile) < minCost || minCost == 0) {
											minCost = parseFloat(cost_per_mile);
										}
										if (parseFloat(cost_per_mile) > maxCost || maxCost == 0) {
											maxCost = parseFloat(cost_per_mile);
										}
										$(this).addClass('chrome-ext-' + result.user.color).attr('cost_per_mile', parseFloat(cost_per_mile));
									}
									$(this).attr('title', "$" + cost_per_mile + "/Mile" + titleText);
								}
							});

							/********* Create Color Groups ************/
							difference = maxCost - minCost;
							g1 = g2 = g3 = g4 = minCost;
							if (difference > 0.4) {
								groupAddValue = parseFloat(difference / 4);
								g1 = minCost + groupAddValue;
								g2 = g1 + groupAddValue;
								g3 = g2 + groupAddValue;
								$(".chrome-ext-red,.chrome-ext-blue,.chrome-ext-green,.chrome-ext-gray").each(function () {
									$(this).removeClass('group1 group2 group3 group4');
									row_cost_per_mile = $(this).attr('cost_per_mile');
									if (row_cost_per_mile >= minCost && row_cost_per_mile <= g1) {
										$(this).addClass('group1');
									} else if (row_cost_per_mile > g1 && row_cost_per_mile <= g2) {
										$(this).addClass('group2');
									} else if (row_cost_per_mile > g2 && row_cost_per_mile <= g3) {
										$(this).addClass('group3');
									} else if (row_cost_per_mile > g3 && row_cost_per_mile <= maxCost) {
										$(this).addClass('group4');
									}
								});
							}
							$('[cost_per_mile="' + maxCost + '"]').addClass('special-color');
							/********* Create Color Groups ************/

						}
					} else {
						$(".cdk-virtual-scroll-content-wrapper .search-card .row-layout").removeClass('chrome-ext-red chrome-ext-blue chrome-ext-green chrome-ext-gray');
					}
				});
			}, 2000);
		} else if (host.indexOf("truckerpath") != -1) {
			var itemsFound = setInterval(function () {
				browser.storage.local.get(["user"], function (result) {
					if (typeof result.user != "undefined" && result.user != "") {

						var titleText = " (Not Including: O-DH, D-DH)";
						if (typeof result.user.o_deadhead != 'undefined' && typeof result.user.d_deadhead != 'undefined') {
							if (result.user.o_deadhead == 1 && result.user.d_deadhead == 1) {
								titleText = " (Including: O-DH, D-DH)";
							} else if (result.user.o_deadhead == 1) {
								titleText = " (Including: O-DH)";
							} else if (result.user.d_deadhead == 1) {
								titleText = " (Including: D-DH)";
							}
						}

						if ($(".search-results-loadWrap").length > 0) {
							var minCost = 0;
							var maxCost = 0;
							$(".search-results-loadWrap").each(function (index) {
								$(this).removeClass('chrome-ext-red chrome-ext-blue chrome-ext-green chrome-ext-gray group1 group2 group3 group4 special-color');
								$(this).removeAttr('cost_per_mile');
								$(this).removeAttr('title');

								if ($(this).find('span.common-Price-wrap .common-ToolTip-trigger span').hasClass('common-Price-lockMoney')) {
								} else {
									if ($(this).find('span.common-Price-wrap .common-ToolTip-trigger span').length > 0) {
										price = $(this).find('span.common-Price-wrap .common-ToolTip-trigger span').text().replace(",", "");
									} else {
										price = $(this).find('div.qa-search-results-price').text().replace(",", "");
									}
									if (price != "—") {
										miles = $(this).find("div[data-qa='search-result-trip']").text().replace(",", "").split(' ');

										o_deadhead = $(this).find("div.search-results-LoadRow-tripPropPickupDeadhead").text().replace(",", "").split(' ');

										if (typeof result.user.o_deadhead != 'undefined' && result.user.o_deadhead == 1 && o_deadhead != "") {
											miles[0] = parseFloat(miles[0]) + parseFloat(o_deadhead[0]);
										}

										price = price.split(' ');
										cost_per_mile = (price[1] / miles[0]).toFixed(2);
										if (cost_per_mile > parseFloat(result.user.min_per_mile)) {
											if (parseFloat(cost_per_mile) < minCost || minCost == 0) {
												minCost = parseFloat(cost_per_mile);
											}
											if (parseFloat(cost_per_mile) > maxCost || maxCost == 0) {
												maxCost = parseFloat(cost_per_mile);
											}
											$(this).addClass('chrome-ext-' + result.user.color).attr('cost_per_mile', parseFloat(cost_per_mile));
										}
										$(this).attr('title', "$" + cost_per_mile + "/Mile" + titleText);
									}
								}
							});
							/********* Create Color Groups ************/
							difference = maxCost - minCost;
							g1 = g2 = g3 = g4 = minCost;
							if (difference > 0.4) {
								groupAddValue = parseFloat(difference / 4);
								g1 = minCost + groupAddValue;
								g2 = g1 + groupAddValue;
								g3 = g2 + groupAddValue;
								$(".chrome-ext-red,.chrome-ext-blue,.chrome-ext-green,.chrome-ext-gray").each(function () {
									$(this).removeClass('group1 group2 group3 group4');
									row_cost_per_mile = $(this).attr('cost_per_mile');
									if (row_cost_per_mile >= minCost && row_cost_per_mile <= g1) {
										$(this).addClass('group1');
									} else if (row_cost_per_mile > g1 && row_cost_per_mile <= g2) {
										$(this).addClass('group2');
									} else if (row_cost_per_mile > g2 && row_cost_per_mile <= g3) {
										$(this).addClass('group3');
									} else if (row_cost_per_mile > g3 && row_cost_per_mile <= maxCost) {
										$(this).addClass('group4');
									}
								});
							}
							$('[cost_per_mile="' + maxCost + '"]').addClass('special-color');
							/********* Create Color Groups ************/
						}
					} else {
						$(".search-results-loadWrap").removeClass('chrome-ext-red chrome-ext-blue chrome-ext-green chrome-ext-gray');
					}
				});
			}, 3000);
		} else if (host.indexOf("directfreight") != -1) {
			var itemsFound = setInterval(function () {
				browser.storage.local.get(["user"], function (result) {
					if (typeof result.user != "undefined" && result.user != "") {

						var titleText = " (Not Including: O-DH, D-DH)";
						if (typeof result.user.o_deadhead != 'undefined' && typeof result.user.d_deadhead != 'undefined') {
							if (result.user.o_deadhead == 1 && result.user.d_deadhead == 1) {
								titleText = " (Including: O-DH, D-DH)";
							} else if (result.user.o_deadhead == 1) {
								titleText = " (Including: O-DH)";
							} else if (result.user.d_deadhead == 1) {
								titleText = " (Including: D-DH)";
							}
						}

						if ($("#searchtable tbody tr.result").length > 0) {
							var minCost = 0;
							var maxCost = 0;
							$("#searchtable tbody tr.result").each(function (index) {
								$(this).removeClass('chrome-ext-red chrome-ext-blue chrome-ext-green chrome-ext-gray group1 group2 group3 group4 special-color');
								$(this).removeAttr('cost_per_mile');
								$(this).removeAttr('title');

								price = $(this).find('.payrate').text().replace(",", "").replace("$", "");
								if (price != "") {
									miles = $(this).find(".tripmiles").text().replace(",", "");

									o_deadhead = $(this).find(".dh-miles").text().replace(",", "");
									if (typeof result.user.o_deadhead != 'undefined' && result.user.o_deadhead == 1 && o_deadhead != 'N/A') {
										miles = parseFloat(miles) + parseFloat(o_deadhead);
									}

									cost_per_mile = (price / miles).toFixed(2);

									if (cost_per_mile > parseFloat(result.user.min_per_mile)) {
										if (parseFloat(cost_per_mile) < minCost || minCost == 0) {
											minCost = parseFloat(cost_per_mile);
											
										}
										if (parseFloat(cost_per_mile) > maxCost || maxCost == 0) {
											maxCost = parseFloat(cost_per_mile);
											
										}
										$(this).addClass('chrome-ext-' + result.user.color).attr('cost_per_mile', parseFloat(cost_per_mile));
									}
									$(this).attr('title', "$" + cost_per_mile + "/Mile" + titleText);
								}
							});
							/********* Create Color Groups ************/
							difference = maxCost - minCost;
							g1 = g2 = g3 = g4 = minCost;
							if (difference > 0.4) {
								groupAddValue = parseFloat(difference / 4);
								g1 = minCost + groupAddValue;
								g2 = g1 + groupAddValue;
								g3 = g2 + groupAddValue;
								$(".chrome-ext-red,.chrome-ext-blue,.chrome-ext-green,.chrome-ext-gray").each(function () {
									$(this).removeClass('group1 group2 group3 group4');
									row_cost_per_mile = $(this).attr('cost_per_mile');
									if (row_cost_per_mile >= minCost && row_cost_per_mile <= g1) {
										$(this).addClass('group1');
									} else if (row_cost_per_mile > g1 && row_cost_per_mile <= g2) {
										$(this).addClass('group2');
									} else if (row_cost_per_mile > g2 && row_cost_per_mile <= g3) {
										$(this).addClass('group3');
									} else if (row_cost_per_mile > g3 && row_cost_per_mile <= maxCost) {
										$(this).addClass('group4');
									}
								});
							}
							$('[cost_per_mile="' + maxCost + '"]').addClass('special-color');
							/********* Create Color Groups ************/
						}
					} else {
						$(".search-results-loadWrap").removeClass('chrome-ext-red chrome-ext-blue chrome-ext-green chrome-ext-gray');
					}
				});
			}, 3000);
		} else if (host.indexOf("power.dat") != -1) {
			var itemsFound = setInterval(function () {
				browser.storage.local.get(["user"], function (result) {
					if (typeof result.user != "undefined" && result.user != "") {

						var titleText = " (Not Including: O-DH, D-DH)";
						if (typeof result.user.o_deadhead != 'undefined' && typeof result.user.d_deadhead != 'undefined') {
							if (result.user.o_deadhead == 1 && result.user.d_deadhead == 1) {
								titleText = " (Including: O-DH, D-DH)";
							} else if (result.user.o_deadhead == 1) {
								titleText = " (Including: O-DH)";
							} else if (result.user.d_deadhead == 1) {
								titleText = " (Including: D-DH)";
							}
						}

						if ($(".searchResultsTable tbody.resultItem").length > 0) {
							var minCost = 0;
							var maxCost = 0;
							$(".searchResultsTable tbody.resultItem").each(function (index) {
								$(this).removeClass('chrome-ext-red chrome-ext-blue chrome-ext-green chrome-ext-gray group1 group2 group3 group4 special-color');
								$(this).removeAttr('cost_per_mile');
								$(this).removeAttr('title');

								miles = $(this).find(".resultSummary td.trip").text().replace(",", "");
								o_deadhead = $(this).find(".resultSummary td.do").text().replace(",", "").replace("—", "");
								if (typeof result.user.o_deadhead != 'undefined' && result.user.o_deadhead == 1 && o_deadhead != "") {
									miles = parseFloat(miles) + parseFloat(o_deadhead);
								}

								d_deadhead = $(this).find(".resultSummary td.dd").text().replace(",", "").replace("—", "");
								if (typeof result.user.d_deadhead != 'undefined' && result.user.d_deadhead == 1 && d_deadhead != "") {
									miles = parseFloat(miles) + parseFloat(d_deadhead);
								}
								price = $(this).find(".resultSummary td.rate").text();

								if (price != '—') {
									price = parseFloat(price.replace("$", "").replace(",", ""));
									cost_per_mile = (price / miles).toFixed(2);

									if (cost_per_mile > parseFloat(result.user.min_per_mile)) {
										if (parseFloat(cost_per_mile) < minCost || minCost == 0) {
											minCost = parseFloat(cost_per_mile);
										}
										if (parseFloat(cost_per_mile) > maxCost || maxCost == 0) {
											maxCost = parseFloat(cost_per_mile);
										}
										$(this).addClass('chrome-ext-' + result.user.color).attr('cost_per_mile', parseFloat(cost_per_mile));
									}
									$(this).attr('title', "$" + cost_per_mile + "/Mile" + titleText);
								}
							});

							/********* Create Color Groups ************/
							difference = maxCost - minCost;
							g1 = g2 = g3 = g4 = minCost;
							if (difference > 0.4) {
								groupAddValue = parseFloat(difference / 4);
								g1 = minCost + groupAddValue;
								g2 = g1 + groupAddValue;
								g3 = g2 + groupAddValue;
								$(".chrome-ext-red,.chrome-ext-blue,.chrome-ext-green,.chrome-ext-gray").each(function () {
									$(this).removeClass('group1 group2 group3 group4');
									row_cost_per_mile = $(this).attr('cost_per_mile');
									if (row_cost_per_mile >= minCost && row_cost_per_mile <= g1) {
										$(this).addClass('group1');
									} else if (row_cost_per_mile > g1 && row_cost_per_mile <= g2) {
										$(this).addClass('group2');
									} else if (row_cost_per_mile > g2 && row_cost_per_mile <= g3) {
										$(this).addClass('group3');
									} else if (row_cost_per_mile > g3 && row_cost_per_mile <= maxCost) {
										$(this).addClass('group4');
									}
								});
							}
							$('[cost_per_mile="' + maxCost + '"]').addClass('special-color');
							/********* Create Color Groups ************/
						}
					} else {
						$(".searchResultsTable tbody.resultItem").removeClass('chrome-ext-red chrome-ext-blue chrome-ext-green chrome-ext-gray');
					}
				});
			}, 3000);
		} else if (host.indexOf("hotshotcarrier") != -1) {
			var itemsFound = setInterval(function () {
				browser.storage.local.get(["user"], function (result) {
					if (typeof result.user != "undefined" && result.user != "") {

						var titleText = " (Not Including: O-DH, D-DH)";
						if (typeof result.user.o_deadhead != 'undefined' && typeof result.user.d_deadhead != 'undefined') {
							if (result.user.o_deadhead == 1 && result.user.d_deadhead == 1) {
								titleText = " (Including: O-DH, D-DH)";
							} else if (result.user.o_deadhead == 1) {
								titleText = " (Including: O-DH)";
							} else if (result.user.d_deadhead == 1) {
								titleText = " (Including: D-DH)";
							}
						}
						var minCost = 0;
						var maxCost = 0;
						$('table .container table tbody tr').each(function (index) {
							$(this).removeClass('chrome-ext-red chrome-ext-blue chrome-ext-green chrome-ext-gray group1 group2 group3 group4 special-color');
							$(this).removeAttr('cost_per_mile');
							$(this).removeAttr('title');

							var price_str = $(this).find('td').eq(8).text().replace('$','');
							var miles_str = $(this).find('td').eq(9).text();
							if(price_str != '' || miles_str != '')
							{
							
							// console.log("price:- "+ price_str + " miles:- " + miles_str);
							var cost_per_mile = null;
							var price = null;
							var miles = null;
					
							if (price_str != "" || miles_str != "") {
								
								price = parseFloat(price_str);
								miles = parseFloat(miles_str);
								//  console.log("Price "+price + " miles "+miles);

								
							if (price > 0 && miles > 0) {
								cost_per_mile = (price / miles).toFixed(2);

								if (cost_per_mile > parseFloat(result.user.min_per_mile)) {
									if (parseFloat(cost_per_mile) < minCost || minCost == 0) {
										minCost = parseFloat(cost_per_mile);
									}
									if (parseFloat(cost_per_mile) > maxCost || maxCost == 0) {
										maxCost = parseFloat(cost_per_mile);
									}
									$(this).addClass('chrome-ext-' + result.user.color).attr('cost_per_mile', parseFloat(cost_per_mile));
								}
								$(this).attr('title', "$" + cost_per_mile + "/Mile" + titleText);

							}
						}
						}
						});

						/********* Create Color Groups ************/
						difference = maxCost - minCost;
						g1 = g2 = g3 = g4 = minCost;
						if (difference > 0.4) {
							groupAddValue = parseFloat(difference / 4);
							g1 = minCost + groupAddValue;
							g2 = g1 + groupAddValue;
							g3 = g2 + groupAddValue;
							$(".chrome-ext-red,.chrome-ext-blue,.chrome-ext-green,.chrome-ext-gray").each(function () {
								$(this).removeClass('group1 group2 group3 group4');
								row_cost_per_mile = $(this).attr('cost_per_mile');
								if (row_cost_per_mile >= minCost && row_cost_per_mile <= g1) {
									$(this).addClass('group1');
								} else if (row_cost_per_mile > g1 && row_cost_per_mile <= g2) {
									$(this).addClass('group2');
								} else if (row_cost_per_mile > g2 && row_cost_per_mile <= g3) {
									$(this).addClass('group3');
								} else if (row_cost_per_mile > g3 && row_cost_per_mile <= maxCost) {
									$(this).addClass('group4');
								}
							});
						}
						$('[cost_per_mile="' + maxCost + '"]').addClass('special-color');

						/********* Create Color Groups ************/

					} else {
						$(".searchResultsTable tbody.resultItem").removeClass('chrome-ext-red chrome-ext-blue chrome-ext-green chrome-ext-gray');
					}
				});
			}, 3000);
		}else if (host.indexOf("nextload") != -1) {

			var itemsFound = setInterval(function () {
				browser.storage.local.get(["user"], function (result) {
					if (typeof result.user != "undefined" && result.user != "") {

						var titleText = " (Not Including: O-DH, D-DH)";
						if (typeof result.user.o_deadhead != 'undefined' && typeof result.user.d_deadhead != 'undefined') {
							if (result.user.o_deadhead == 1 && result.user.d_deadhead == 1) {
								titleText = " (Including: O-DH, D-DH)";
							} else if (result.user.o_deadhead == 1) {
								titleText = " (Including: O-DH)";
							} else if (result.user.d_deadhead == 1) {
								titleText = " (Including: D-DH)";
							}
						}
						var minCost = 0;
						var maxCost = 0;
						$('.load-row').each(function (index) {
							$(this).removeClass('chrome-ext-red chrome-ext-blue chrome-ext-green chrome-ext-gray group1 group2 group3 group4 special-color');
							$(this).removeAttr('cost_per_mile');
							$(this).removeAttr('title');

							if($(this).length > 0)
							{
								cost_per_mile = $(this).find('.per-mile').text().replace('($','').replace('/mi.*)','');
								if(cost_per_mile != '')
								{
									if (cost_per_mile > parseFloat(result.user.min_per_mile)) {
										if (parseFloat(cost_per_mile) < minCost || minCost == 0) {
											minCost = parseFloat(cost_per_mile);
										}
										if (parseFloat(cost_per_mile) > maxCost || maxCost == 0) {
											maxCost = parseFloat(cost_per_mile);
										}
										$(this).addClass('chrome-ext-' + result.user.color).attr('cost_per_mile', parseFloat(cost_per_mile));
									}
									$(this).attr('title', "$" + cost_per_mile + "/Mile" + titleText);
								}
		
							}
						});

						/********* Create Color Groups ************/
						difference = maxCost - minCost;
						g1 = g2 = g3 = g4 = minCost;
						if (difference > 0.4) {
							groupAddValue = parseFloat(difference / 4);
							g1 = minCost + groupAddValue;
							g2 = g1 + groupAddValue;
							g3 = g2 + groupAddValue;
							$(".chrome-ext-red,.chrome-ext-blue,.chrome-ext-green,.chrome-ext-gray").each(function () {
								$(this).removeClass('group1 group2 group3 group4');
								row_cost_per_mile = $(this).attr('cost_per_mile');
								if (row_cost_per_mile >= minCost && row_cost_per_mile <= g1) {
									$(this).addClass('group1');
								} else if (row_cost_per_mile > g1 && row_cost_per_mile <= g2) {
									$(this).addClass('group2');
								} else if (row_cost_per_mile > g2 && row_cost_per_mile <= g3) {
									$(this).addClass('group3');
								} else if (row_cost_per_mile > g3 && row_cost_per_mile <= maxCost) {
									$(this).addClass('group4');
								}
							});
						}
						$('[cost_per_mile="' + maxCost + '"]').addClass('special-color');

						/********* Create Color Groups ************/

					} else {
						$(".searchResultsTable tbody.resultItem").removeClass('chrome-ext-red chrome-ext-blue chrome-ext-green chrome-ext-gray');
					}
				});
			}, 3000);
		
		}else if (host.indexOf("freight-terminal") != -1) {
			var itemsFound = setInterval(function () {
				
				browser.storage.local.get(["user"], function (result) {
					if (typeof result.user != "undefined" && result.user != "") {
						var titleText = " (Not Including: O-DH, D-DH)";
						if (typeof result.user.o_deadhead != 'undefined' && typeof result.user.d_deadhead != 'undefined') {
							if (result.user.o_deadhead == 1 && result.user.d_deadhead == 1) {
								titleText = " (Including: O-DH, D-DH)";
							} else if (result.user.o_deadhead == 1) {
								titleText = " (Including: O-DH)";
							} else if (result.user.d_deadhead == 1) {
								titleText = " (Including: D-DH)";
							}
						}
		;
						var minCost = 0;
						var maxCost = 0;
						$('.alt, .white').each(function (index) {
							$(this).removeClass('chrome-ext-red chrome-ext-blue chrome-ext-green chrome-ext-gray group1 group2 group3 group4 special-color');
							$(this).removeAttr('cost_per_mile');
							$(this).removeAttr('title');

							
							if($(this).length > 0)
							{
								price_str = $(this).find('td').eq(8).text();
								mile_str = $(this).find('td').eq(9).text();
								price = parseFloat(price_str);
								mile = parseFloat(mile_str);
						
								if(price > 0 && mile > 0)
								{
									cost_per_mile = price/mile;
									if (cost_per_mile > parseFloat(result.user.min_per_mile)) {
										if (parseFloat(cost_per_mile) < minCost || minCost == 0) {
											minCost = parseFloat(cost_per_mile);
										}
										if (parseFloat(cost_per_mile) > maxCost || maxCost == 0) {
											maxCost = parseFloat(cost_per_mile);
										}
										$(this).addClass('chrome-ext-' + result.user.color).attr('cost_per_mile', parseFloat(cost_per_mile));
									}
									$(this).attr('title', "$" + cost_per_mile + "/Mile" + titleText);
								}
		
							}
						});

						/********* Create Color Groups ************/
						difference = maxCost - minCost;
						g1 = g2 = g3 = g4 = minCost;
						if (difference > 0.4) {
							groupAddValue = parseFloat(difference / 4);
							g1 = minCost + groupAddValue;
							g2 = g1 + groupAddValue;
							g3 = g2 + groupAddValue;
							$(".chrome-ext-red,.chrome-ext-blue,.chrome-ext-green,.chrome-ext-gray").each(function () {
								$(this).removeClass('group1 group2 group3 group4');
								row_cost_per_mile = $(this).attr('cost_per_mile');
								if (row_cost_per_mile >= minCost && row_cost_per_mile <= g1) {
									$(this).addClass('group1');
								} else if (row_cost_per_mile > g1 && row_cost_per_mile <= g2) {
									$(this).addClass('group2');
								} else if (row_cost_per_mile > g2 && row_cost_per_mile <= g3) {
									$(this).addClass('group3');
								} else if (row_cost_per_mile > g3 && row_cost_per_mile <= maxCost) {
									$(this).addClass('group4');
								}
							});
						}
						$('[cost_per_mile="' + maxCost + '"]').addClass('special-color');

						/********* Create Color Groups ************/

					} else {
						$(".searchResultsTable tbody.resultItem").removeClass('chrome-ext-red chrome-ext-blue chrome-ext-green chrome-ext-gray');
					}
				});
			}, 3000);
		
		}
		else if (host.indexOf("doft") != -1) {
			var itemsFound = setInterval(function () {
				
				browser.storage.local.get(["user"], function (result) {
					if (typeof result.user != "undefined" && result.user != "") {
						var titleText = " (Not Including: O-DH, D-DH)";
						if (typeof result.user.o_deadhead != 'undefined' && typeof result.user.d_deadhead != 'undefined') {
							if (result.user.o_deadhead == 1 && result.user.d_deadhead == 1) {
								titleText = " (Including: O-DH, D-DH)";
							} else if (result.user.o_deadhead == 1) {
								titleText = " (Including: O-DH)";
							} else if (result.user.d_deadhead == 1) {
								titleText = " (Including: D-DH)";
							}
						}
		;
						var minCost = 0;
						var maxCost = 0;
						$('.b-load').each(function (index) {
							$(this).removeClass('chrome-ext-red chrome-ext-blue chrome-ext-green chrome-ext-gray group1 group2 group3 group4 special-color');
							$(this).removeAttr('cost_per_mile');
							$(this).removeAttr('title');
							
							if($(this).length > 0)
							{
								cost_per_mile_str = $(this).find('.c.c-permile').find('span').text().replace('$','');
								
							
								if(cost_per_mile_str)
								{
									if( cost_per_mile_str != '—')
									{
										cost_per_mile = parseFloat(cost_per_mile_str);
										if (cost_per_mile > parseFloat(result.user.min_per_mile)) {
											if (parseFloat(cost_per_mile) < minCost || minCost == 0) {
												minCost = parseFloat(cost_per_mile);
											}
											if (parseFloat(cost_per_mile) > maxCost || maxCost == 0) {
												maxCost = parseFloat(cost_per_mile);
											}
											$(this).addClass('chrome-ext-' + result.user.color).attr('cost_per_mile', parseFloat(cost_per_mile));
										}
										$(this).attr('title', "$" + cost_per_mile + "/Mile" + titleText);
									}

								}
		
							}
						});

						/********* Create Color Groups ************/
						difference = maxCost - minCost;
						g1 = g2 = g3 = g4 = minCost;
						if (difference > 0.4) {
							groupAddValue = parseFloat(difference / 4);
							g1 = minCost + groupAddValue;
							g2 = g1 + groupAddValue;
							g3 = g2 + groupAddValue;
							$(".chrome-ext-red,.chrome-ext-blue,.chrome-ext-green,.chrome-ext-gray").each(function () {
								$(this).removeClass('group1 group2 group3 group4');
								row_cost_per_mile = $(this).attr('cost_per_mile');
								if (row_cost_per_mile >= minCost && row_cost_per_mile <= g1) {
									$(this).addClass('group1');
								} else if (row_cost_per_mile > g1 && row_cost_per_mile <= g2) {
									$(this).addClass('group2');
								} else if (row_cost_per_mile > g2 && row_cost_per_mile <= g3) {
									$(this).addClass('group3');
								} else if (row_cost_per_mile > g3 && row_cost_per_mile <= maxCost) {
									$(this).addClass('group4');
								}
							});
						}
						$('[cost_per_mile="' + maxCost + '"]').addClass('special-color');

						/********* Create Color Groups ************/

					} else {
						$(".searchResultsTable tbody.resultItem").removeClass('chrome-ext-red chrome-ext-blue chrome-ext-green chrome-ext-gray');
					}
				});
			}, 3000);
		
		}
	});
})




















