var custom_data = {
	"baseUrl" : 'https://str8dispatch.com'
};
var apiBaseUrl = custom_data.baseUrl + '/extension/api/';
var currentHostisIframe = false;


chrome.runtime.onInstalled.addListener(function() {
	browser.storage.local.get(["token", "user"], function(result) {
        if (typeof result.token == "undefined") {   
			browser.storage.local.set({'token':''});
		}
		if (typeof result.user == "undefined") {   
			browser.storage.local.set({'user':''});
		}
	});
});

// Listen for port messages
chrome.runtime.onConnect.addListener(function(port) {
    var sender = port.sender
    port.onMessage.addListener(function(message) {
        // get-form-data --- To send form data to script
        if (message.type == 'get-form-data') {
			currentHostisIframe = true;
            port.postMessage({'data': custom_data})
        }
	})
});

setInterval(function(){
	browser.storage.local.get(["user","token"], function(result) {
        if (typeof result.user != "undefined" && result.user != "" && typeof result.token != "undefined" && result.token != "") {            
			$.ajax({
				type: "POST",
				url: apiBaseUrl + "?action=updateToken",
				data: {userId:result.user.id,token: result.token},
				dataType: 'json'
			}).done(function(response) {
				if (response.status == 404 || response.status == 202) {
					browser.storage.local.set({'user': ''});
					if(response.status == 404){
						browser.storage.local.set({'token':''});
					}
				}
			});
        }
    });
}, 60000);

function sendEmail(emailUrl) {
    chrome.tabs.create({ url: emailUrl }, function(tab) {
        setTimeout(function() {
            chrome.tabs.remove(tab.id);
        }, 500);
    });
}